clang 10.0.0git

Classes | Namespaces | Macros | Enumerations
Builtins.h File Reference

Defines enum values for all the target-independent builtin functions. More...

`#include "llvm/ADT/ArrayRef.h"`
`#include <cstring>`
`#include "clang/Basic/Builtins.def"`
Include dependency graph for Builtins.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::Builtin::Info
class | clang::Builtin::Context
| Holds information about both target-independent and target-specific builtins, allowing easy queries by clients. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::Builtin

## Macros
#define | BUILTIN(ID, TYPE, ATTRS) BI##ID,

## Enumerations
enum | clang::LanguageID { clang::GNU_LANG = 0x1, clang::C_LANG = 0x2, clang::CXX_LANG = 0x4, clang::OBJC_LANG = 0x8, clang::MS_LANG = 0x10, clang::OCLC20_LANG = 0x20, clang::OCLC1X_LANG = 0x40, clang::OMP_LANG = 0x80, clang::ALL_LANGUAGES = C_LANG | CXX_LANG | OBJC_LANG, clang::ALL_GNU_LANGUAGES = ALL_LANGUAGES | GNU_LANG, clang::ALL_MS_LANGUAGES = ALL_LANGUAGES | MS_LANG, clang::ALL_OCLC_LANGUAGES = OCLC1X_LANG | OCLC20_LANG }
enum | clang::Builtin::ID { clang::Builtin::NotBuiltin = 0, clang::Builtin::FirstTSBuiltin }
enum | clang::BuiltinTemplateKind : int { clang::BTK__make_integer_seq, clang::BTK__type_pack_element }
| Kinds of BuiltinTemplateDecl. More...

## Detailed Description

Defines enum values for all the target-independent builtin functions.

Definition in file Builtins.h.

## Macro Definition Documentation

## ◆ BUILTIN

#define BUILTIN | ( |  | ID,
|  |  | TYPE,
|  |  | ATTRS
| ) |  | BI##ID,

Definition at line 48 of file Builtins.h.